<?
include 'config.php';
include 'func.php';

head();
aut();
ban();

$ball = $user['extra']; // Экстра-баллы пользователя
$ballmany = 0.20; // Балл = цена
$ballmany2 = $config['ball_many']; // Цена монеты
$many = $user['many']; //Монеты пользователя
$ratingmany = 1; // Цена рейтинга
echo head . 'Обменник' . div . katalog;

switch ($_GET['mod']) {
    
    default:
    #echo '<a href="obmen.php?mod=ball">Баллы -> Деньги</a><br/>';
    echo '<a href="obmen.php?mod=ball2">Баллы -> Монеты</a><br/>';
    echo '<a href="obmen.php?mod=many">Монеты -> Рейтинг</a><br/>';
    break;
    
    case 'ball':
            if (empty($ball)) {
        echo 'У вас нет баллов';
        navig();
foot();
exit();
    }
    if (empty($_POST['submit'])) {
    echo 'У вас баллов: <b>'.$ball.'</b><br/><br/>';
    echo '<b>Отдам баллов:</b><br/>';
    echo '<form action="obmen.php?mod=ball" method="post" name="form">';
    if($ball>=100)
    echo '<input type="radio" name="ball" value="1"/>100<br/>';
    if($ball>=200)
    echo '<input type="radio" name="ball" value="2"/>200<br/>';
    if($ball>=250)
    echo '<input type="radio" name="ball" value="3"/>250<br/>';
    if($ball>=500)
    echo '<input type="radio" name="ball" value="4"/>500<br/>';
    if($ball>=1000)
    echo '<input type="radio" name="ball" value="5"/>1000<br/><br/>';
    echo '<input name="submit" type="submit" class="button" value="ОК" /></form>';
        } else {
    if ($_POST['ball'] == 1) $result = 100;
    elseif ($_POST['ball'] == 2) $result = 200;
    elseif ($_POST['ball'] == 3) $result = 250;
    elseif ($_POST['ball'] == 4) $result = 500;
    elseif ($_POST['ball'] == 5) $result = 1000; 
    elseif (empty($_POST['many'])) $err = 'Ошибка';
    
    if ($result > $ball) $err = 'Возникла ошибка<br/>';
    
    $q = $result * $ballmany;
    
        if (isset($err)) {
        echo $err;
        navig();
        foot();
        exit();
    }
    
    mysql_query("UPDATE profile SET `extra` = '".($ball - $result)."' WHERE `id` = '".$id_session."'"); 
    
    echo 'На ваш счет выслано: '.$q.' рублей<br/>';      
    }    
    
    break;
    
    case 'many':
        if (empty($many)) {
        echo 'У вас нет монет';
        navig();
foot();
exit();
    }
    if (empty($_POST['submit'])) {
    echo 'У вас монет: <b>'.$many.'</b><br/>';
    echo 'Ваш рейтинг: <b>'.$rating.'</b>%<br/>';
    echo '1 монета = 1 рейтинг<br/><br/>';
    echo '<b>Отдам монет:</b><br/>';
    echo '<form action="obmen.php?mod=many" method="post" name="form">';
    if($many>=5)
    echo '<input type="radio" name="many" value="1"/>5<br/>';
    if($many>=10)
    echo '<input type="radio" name="many" value="2"/>10<br/>';
    if($many>=25)
    echo '<input type="radio" name="many" value="3"/>25<br/>';
    if($many>=50)
    echo '<input type="radio" name="many" value="4"/>50<br/>';
    if($many>=100)
    echo '<input type="radio" name="many" value="5"/>100<br/><br/>';
    echo '<input name="submit" type="submit" class="button" value="ОК" /></form>';
        } else {
    if ($_POST['many'] == 1) $result = 5;
    elseif ($_POST['many'] == 2) $result = 10;
    elseif ($_POST['many'] == 3) $result = 25;
    elseif ($_POST['many'] == 4) $result = 50;
    elseif ($_POST['many'] == 5) $result = 100; 
    elseif (empty($_POST['many'])) $err = 'Ошибка';
    
    if ($result > $many) $err = 'Возникла ошибка<br/>';
    
    $q = $result * $ratingmany;
    
    if (isset($err)) {
        echo $err;
        navig();
        foot();
        exit();
    }
    
    mysql_query("UPDATE profile SET `many` = '".($many - $result)."', `ratingmany` = '".($user['ratingmany'] + $q)."' WHERE `id` = '".$id_session."'"); 
    
    echo 'Ваш рейтинг повышен на '.$q.'%<br/>';      
    }    
    
    break;
    
    case 'ball2':
    if (empty($ball)) {
        echo 'У вас нет баллов';
        navig();
foot();
exit();
    }
    if (empty($_POST['submit'])) {
    echo 'У вас баллов: <b>'.$ball.'</b><br/>';
    echo '1 балл = '.$ballmany2.' монет<br/><br/>';
    echo '<b>Отдам баллов:</b><br/>';
    echo '<form action="obmen.php?mod=ball2" method="post" name="form">';
    if($ball>=5)
    echo '<input type="radio" name="ball" value="1"/>5<br/>';
    if($ball>=10)
    echo '<input type="radio" name="ball" value="2"/>10<br/>';
    if($ball>=25)
    echo '<input type="radio" name="ball" value="3"/>25<br/>';
    if($ball>=50)
    echo '<input type="radio" name="ball" value="4"/>50<br/>';
    if($ball>=100)
    echo '<input type="radio" name="ball" value="5"/>100<br/><br/>';
    echo '<input name="submit" type="submit" class="button" value="ОК" /></form>';
        } else {
                if (empty($ball)) {
        echo 'У вас нет баллов';
        navig();
foot();
exit();
    }
    if ($_POST['ball']==0) $err = 'Ошибка<br/>';
    elseif ($_POST['ball'] == 1) $result = 5;
    elseif ($_POST['ball'] == 2) $result = 10;
    elseif ($_POST['ball'] == 3) $result = 25;
    elseif ($_POST['ball'] == 4) $result = 50;
    elseif ($_POST['ball'] == 5) $result = 100; 
    
    
    if ($result > $ball) $err = 'Возникла ошибка<br/>';
    
    $q = $result * $ballmany2;
    
    if (isset($err)) {
                echo 'Ошибка';
        navig();
foot();
exit();
    }
    mysql_query("UPDATE profile SET `extra` = '".($ball - $result)."', `many` = '".($many_session + $q)."' WHERE `id` = '".$id_session."'"); 
    
    echo 'Ваши монеты пополнены на: '.$q.'<br/>';      
    }    
    
    break;
    
}

navig();
foot();
?>